"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = void 0;
const child_process_1 = require("child_process");
const git_repo_1 = require("@tinyfe/git-repo");
function init() {
    try {
        child_process_1.execSync('git --version', { stdio: 'ignore' });
        if (git_repo_1.isInGitRepository() || git_repo_1.isInMercurialRepository()) {
            return false;
        }
        child_process_1.execSync('git init', { stdio: 'ignore' });
        return true;
    }
    catch (e) {
        console.warn('Git repo not initialized', e);
        return false;
    }
}
exports.init = init;
